import { UiPropertyMeta } from "../../core/ui-property-meta";
import { PropertyMeta } from "../../core/property-meta";
import { TableConfig } from "../table-models";
import { TableDisplayMode } from "../../../../fd-toolbox/enums/enums";
export declare function ifShouldDisplayPropertyInList(uiPropertyMeta: UiPropertyMeta, propertyMeta: PropertyMeta, excludeProperties: string[], tableConfig: TableConfig): boolean;
export declare function hasCellTemplate(tableConfig: TableConfig, name: string): boolean;
export declare function isDateAsTimeAgoInTableConfig(tableConfig: TableConfig, name: string): boolean;
export declare function ifShouldStopAddingColumns(index: number, displayMode: TableDisplayMode, tableConfig: TableConfig, uiPropertyMeta: UiPropertyMeta): boolean;
